#647 sixel terminal driver

None
closed-accepted
nobody
None
5
2013-12-24
2013-11-19
No

Recent XTerm versions are capable of displaying Sixel graphics, a format supported by terminals and printers from DEC. These are displayed when a stream of Sixel characters are sent to the screen e.g. using "cat" under Unix (or "TYPE" under VMS using the DECWindows terminal).

The attached patch adds code to the "tek.trm" driver so that Sixel character streams may be created and images appear between Gnuplot command line prompts (so not in a separate window).

Gnuplot has to be compiled/configured with the "--with-bitmap-terminals" option.

XTerm has to be compiled/configured with "--enable-sixel-graphics", and started with "-ti 340" on the command line to specify a Sixel capable terminal. Furthermore, the menu option "sixelScrolling" should be checked; foreground black and background white.

1 Attachments

Related

Patches: #647
Patches: #742

Discussion

  • Ethan Merritt

    Ethan Merritt - 2013-12-12

    Added to CVS for 4.6 and 4.7
    Thanks!

     
  • Ethan Merritt

    Ethan Merritt - 2013-12-12
    • status: open --> pending-accepted
    • Group: -->
     
  • Ethan Merritt

    Ethan Merritt - 2013-12-12

    Added to CVS for 4.6 and 4.7
    Thanks!

    On Tue, Nov 19, 2013 at 11:24 AM, Erik Olofsen olofsen@users.sf.net wrote:


    [patches:#647] sixel terminal driver

    Status: open
    Created: Tue Nov 19, 2013 07:24 PM UTC by Erik Olofsen
    Last Updated: Tue Nov 19, 2013 07:24 PM UTC
    Owner: nobody

    Recent XTerm versions are capable of displaying Sixel graphics, a format
    supported by terminals and printers from DEC. These are displayed when a
    stream of Sixel characters are sent to the screen e.g. using "cat" under
    Unix (or "TYPE" under VMS using the DECWindows terminal).

    The attached patch adds code to the "tek.trm" driver so that Sixel
    character streams may be created and images appear between Gnuplot command
    line prompts (so not in a separate window).

    Gnuplot has to be compiled/configured with the "--with-bitmap-terminals"
    option.

    XTerm has to be compiled/configured with "--enable-sixel-graphics", and
    started with "-ti 340" on the command line to specify a Sixel capable
    terminal. Furthermore, the menu option "sixelScrolling" should be checked;
    foreground black and background white.


    Sent from sourceforge.net because you indicated interest in <
    https://sourceforge.net/p/gnuplot/patches/647/>

    To unsubscribe from further messages, please visit <
    https://sourceforge.net/auth/subscriptions/>

     

    Related

    Patches: #647

  • Ethan Merritt

    Ethan Merritt - 2013-12-24
    • status: pending-accepted --> closed-accepted
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks